Common subdirectories: annexlib.orig/doc and annexlib.patched/doc
Common subdirectories: annexlib.orig/tests and annexlib.patched/tests
diff -du annexlib.orig/util_stubs.c annexlib.patched/util_stubs.c
--- annexlib.orig/util_stubs.c	2010-09-02 01:39:36.000000000 +0300
+++ annexlib.patched/util_stubs.c	2010-09-02 01:43:54.000000000 +0300
@@ -42,6 +42,13 @@
 #include <errno.h>
 #include <stdio.h>
 
+#ifdef __FreeBSD__
+#include <sys/types.h>
+#include <sys/socket.h>
+#include <sys/uio.h>
+#include <arpa/inet.h>
+#endif
+
 #ifdef HAVE_SYS_SENDFILE_H
 #include <sys/sendfile.h>
 #endif
@@ -476,7 +483,7 @@
   if (len == 0)
     return Val_int(wrote);
   else
-    uerror("sendfile", Nothing)
+    uerror("sendfile", Nothing);
 #else
       failwith("sendfile unimplemented!");
 #endif
